> ## Documentation Index
> Fetch the complete documentation index at: https://docs.proxyscrape.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get permission context

> Returns the permission structure and allowed permissions for your account. Use this to build permission selection UIs or validate permissions before creating a key. Permission: `account:apikeys:read`.



## OpenAPI

````yaml /openapi-account.json get /v4/account/api-keys/permission-context
openapi: 3.0.3
info:
  title: ProxyScrape Account API
  description: Account API — authenticate with the api-token header.
  version: 1.0.0
servers:
  - url: https://api.proxyscrape.com
    description: ProxyScrape API
security:
  - apiToken: []
tags:
  - name: API key management
    description: Create, list, update, regenerate, and revoke API keys
  - name: Subaccounts
    description: List subaccounts and manage preferences
  - name: Datacenter
    description: 'Datacenter shared and dedicated: overview, proxy list, usage, whitelist'
  - name: Residential
    description: 'Residential (bandwidth): overview, subusers, usage'
  - name: Residential unlimited
    description: 'Residential unlimited: overview, statistics, password'
  - name: SERP API
    description: 'SERP API: overview, subusers, search'
  - name: API ordering
    description: >-
      Place wallet-paid orders and read the wallet balance via the headless API
      ordering surface.
paths:
  /v4/account/api-keys/permission-context:
    get:
      tags: []
      summary: Get permission context
      description: >-
        Returns the permission structure and allowed permissions for your
        account. Use this to build permission selection UIs or validate
        permissions before creating a key. Permission: `account:apikeys:read`.
      operationId: getPermissionContext
      responses:
        '200':
          description: Permission context with structure and allowed permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  structure:
                    type: object
                    description: >-
                      Hierarchical permission structure filtered to only the
                      permissions your account can assign.
                    properties:
                      account:
                        type: object
                        properties:
                          sub_types:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for this sub-type.
                                name:
                                  type: string
                                  description: Human-readable label for this sub-type.
                                description:
                                  type: string
                                  description: Description of what this sub-type covers.
                                permissions:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        description: >-
                                          Permission string, e.g.
                                          datacenter_shared:read.
                                      name:
                                        type: string
                                        description: Human-readable permission label.
                                      description:
                                        type: string
                                        description: What this permission grants.
                                      enabled:
                                        type: boolean
                                        description: >-
                                          Whether this permission is enabled by
                                          default for new accounts.
                      product:
                        type: object
                        properties:
                          sub_types:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  description: Unique identifier for this sub-type.
                                name:
                                  type: string
                                  description: Human-readable label for this sub-type.
                                description:
                                  type: string
                                  description: Description of what this sub-type covers.
                                permissions:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      id:
                                        type: string
                                        description: Permission string, e.g. serp_api:read.
                                      name:
                                        type: string
                                        description: Human-readable permission label.
                                      description:
                                        type: string
                                        description: What this permission grants.
                                      enabled:
                                        type: boolean
                                        description: >-
                                          Whether this permission is enabled by
                                          default for new accounts.
                  allowed_permissions:
                    type: array
                    items:
                      type: string
                    description: Flat list of permission strings you can assign
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  error:
                    type: string
                    example: Unauthorized
      security:
        - apiToken: []
components:
  securitySchemes:
    apiToken:
      type: apiKey
      in: header
      name: api-token
      description: >-
        API key. Create and manage keys at /v4/account/api-keys or in the
        dashboard.

````